package pathgame.gameplay.menu;

import me.hammerle.snuviengine.api.Engine;

public class MainMenu extends BaseMenu
{
    private final MenuButton[] options;
    
    public MainMenu(int id, int optionsId, int charaterId)
    {
        super(id);
        
        options = new MenuButton[] 
        {
            new MenuButton("Start", (gamestate) -> 
            {
                setReturnId(charaterId);
            }),
            new MenuButton("Options", (gamestate) -> 
            {
                setReturnId(optionsId);
            }),
            new MenuButton("Exit", (gamestate) -> 
            {
                Engine.stop();
            })
        }; 
    }

    @Override
    public MenuButton[] getOptions()
    {
        return options;
    }
}
